import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AccountWalletButtonComponent {
    walletName?: string;
    walletAccount?: string;
    disconnectText?: string;
    disconnect: EventEmitter<void>;
    /**
     * Retrieves a formatted representation of the account.
     *
     * @public
     * @getter
     * @type {string}
     * @return {string} A formatted representation of the account, or an empty string if no
     * account is available.
     */
    get account(): string;
    /**
     * Handles the disconnect event and emits it to subscribers.
     *
     * This method is responsible for emitting the disconnect event to inform
     * subscribers about the disconnection.
     *
     * @emits disconnect - An event indicating a disconnection.
     *
     * @returns {void}
     */
    onDisconnect(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccountWalletButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccountWalletButtonComponent, "account-wallet-button", never, { "walletName": { "alias": "walletName"; "required": false; }; "walletAccount": { "alias": "walletAccount"; "required": false; }; "disconnectText": { "alias": "disconnectText"; "required": false; }; }, { "disconnect": "disconnect"; }, never, never, true, never>;
}
