import { WalletIconEnum } from '../../models';
import { Wallet } from '@mysten/wallet-standard';
import * as i0 from "@angular/core";
export declare class ConnectWalletComponent {
    private readonly dialogRef;
    private readonly walletStandardService;
    adapters: import("rxjs").BehaviorSubject<readonly Wallet[]>;
    data: any;
    error: import("@angular/core").WritableSignal<string>;
    isConnecting: import("@angular/core").WritableSignal<string>;
    sui: WalletIconEnum;
    /**
     * Initiates the process of connecting a wallet using the provided wallet adapter.
     *
     * @public
     * @function
     * @param {StandardWalletAdapter} adapter - The wallet adapter to use for connecting.
     * @return {void}
     */
    connectWallet(adapter: Wallet): void;
    /**
     * Handles the connection of a wallet adapter and returns the account details for the specified network.
     *
     * This method is responsible for handling the connection of a wallet adapter and
     * searching for the account associated with the specified network. If an account is found,
     * it closes the dialog with the account information. Otherwise, it sets an error message
     * indicating the need to switch to the specified network and reload the browser.
     *
     * @param {StandardWalletAdapter} adapter - The wallet adapter to connect.
     * @returns {void} - This method does not return a value.
     */
    private handleConnect;
    /**
     * Initiates the process of registering a wallet using the specified method.
     *
     * @public
     * @function
     * @return {void}
     */
    registerWallet(): void;
    /**
     * Opens a new browser window to the SUI Wallet extension download page.
     *
     * This method opens a new browser window to the Chrome Web Store page for
     * the SUI Wallet extension, allowing users to download and install it.
     *
     * @returns {void} - This method does not return a value.
     */
    connectSui(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConnectWalletComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConnectWalletComponent, "connect-wallet", never, {}, {}, never, never, true, never>;
}
