import { MatDialogRef } from '@angular/material/dialog';
import { ConnectWalletComponent } from '../components/connect-wallet/connect-wallet.component';
import { SuiChain, ConnectedWalletInterface } from '../models';
import * as i0 from "@angular/core";
export interface OnConnectDataInterface {
    connectButtonText?: string;
    network?: SuiChain;
    connectWalletText?: string;
    whatIsWalletText?: string;
    easyLoginHeaderText?: string;
    easyLoginDescriptionText?: string;
    storeHeaderText?: string;
    storeDescriptionText?: string;
    confirmConnectText?: string;
    openingText?: string;
    getStartedSuiText?: string;
    installExtensionHeaderText?: string;
    installExtensionDescriptionText?: string;
    createOrImportHeaderText?: string;
    createOrImportDescriptionText?: string;
    refreshBrowserHeaderText?: string;
    refreshBrowserDescriptionText?: string;
    installWalletExtensionText?: string;
    copyAddressText?: string;
    disconnectText?: string;
}
export declare class AuthService {
    private readonly dialog;
    /**
     * Opens a dialog for connecting a wallet and customizing its appearance.
     *
     * This method opens a dialog using the Angular Material Dialog component to facilitate
     * the process of connecting a wallet and provides options for customizing the dialog's
     * appearance and content.
     *
     * @param {OnConnectDataInterface} [data] - An optional object containing data to customize
     * the dialog's content. If not provided, default values will be used.
     *
     * @returns {Promise<MatDialogRef<ConnectWalletComponent, ConnectedWalletInterface>} - A promise that resolves to the reference of
     * the opened dialog.
     */
    onConnect(data?: OnConnectDataInterface): Promise<MatDialogRef<ConnectWalletComponent, ConnectedWalletInterface>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthService>;
}
